# Remove a managed account

Destroys the managed account identified by the `id` path parameter. Unlike block, this action is not reversible.
A managed account must be emptied from any remaining funds before it can be destroyed.

Endpoint: POST /managed_accounts/{id}/remove
Version: v3
Security: auth_token, api-key

## Path parameters:

  - `id` (string, required)
    The unique identifier of the managed account.

## Response 400 fields (application/json):

  - `message` (string)
    When present helps to identify and fix the problem.

  - `syntaxErrors` (object)
    Is returned as part of an HTTP error response whenever a syntax error is detected. A list of the fields together with their syntax error will be provided.

  - `syntaxErrors.invalidFields` (array)

  - `syntaxErrors.invalidFields.params` (array)

  - `syntaxErrors.invalidFields.fieldName` (string)

  - `syntaxErrors.invalidFields.error` (string)
    Enum: "REQUIRED", "HAS_TEXT", "REQUIRES", "SIZE", "RANGE", "IN", "NOT_IN", "REGEX", "EXACTLY", "AT_LEAST", "AT_MOST", "ALL_OR_NONE"

## Response 403 fields (application/json):

  - `errorCode` (string)
    Enum: "INSUFFICIENT_PERMISSIONS"

## Response 404 fields (application/json):

  - `code` (string)

  - `message` (string)

## Response 409 fields (application/json):

  - `errorCode` (string)
    Enum: "BALANCE_NOT_ZERO", "INSTRUMENT_ALREADY_REMOVED", "INSTRUMENT_HAS_PENDING_ACTIONS", "INSTRUMENT_HAS_LINKED_CARDS"

## Response default fields (application/json):

  - `code` (string)

  - `message` (string)

